kabc Library: KABC::StdAddressBook Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::StdAddressBook Class Reference

Standard KDE address book. More...

`#include <stdaddressbook.h>`

Inheritance diagram for KABC::StdAddressBook:

[legend]
Collaboration diagram for KABC::StdAddressBook:

[legend]
List of all members.

## Public Member Functions
| ~StdAddressBook ()
Addressee | whoAmI ()
void | setWhoAmI (const Addressee &addr)
## Static Public Member Functions
static StdAddressBook * | self ()
static StdAddressBook * | self (bool asynchronous)
static bool | save () KDE_DEPRECATED
static void | handleCrash () KDE_DEPRECATED
static QString | fileName ()
static QString | directoryName ()
static void | setAutomaticSave (bool state)
static void | close ()
static bool | automaticSave ()
## Protected Member Functions
| StdAddressBook (bool asynchronous)
void | init (bool asynchronous)
bool | saveAll ()

## Detailed Description

Standard KDE address book.

This class provides access to the standard KDE address book shared by all applications.

It's implemented as a singleton. Use self() to get the address book object. On the first self() call the address book also gets loaded.

Example:

      KABC::AddressBook *ab = KABC::StdAddressBook::self();

      AddressBook::Ticket *ticket = ab->requestSaveTicket();

      if ( ticket ) {
        KABC::AddressBook::Iterator it;
        for ( it = ab->begin(); it != ab->end(); ++it ) {
          kdDebug() << "UID=" << (*it).uid() << endl;

          // do some other stuff
        }

        KABC::StdAddressBook::save( ticket );
      }

Definition at line 56 of file stdaddressbook.h.

## Constructor & Destructor Documentation

StdAddressBook::~StdAddressBook | ( |  | ) |

| Destructor. Definition at line 93 of file stdaddressbook.cpp.

## Member Function Documentation

StdAddressBook * StdAddressBook::self | ( |  | ) | `[static]`

| Returns the standard addressbook object. It also loads all resources of the users standard address book synchronously. Definition at line 57 of file stdaddressbook.cpp. References endl(), kdDebug(), and KStaticDeleter< type >::setObject(). Referenced by KABC::AddresseeDialog::AddresseeDialog().

StdAddressBook * StdAddressBook::self | ( | bool | asynchronous | ) | `[static]`

  | This is the same as above, but with specified behaviour of resource loading. Parameters:
  | asynchronous | When true, the resources are loaded asynchronous, that means you have the data foremost the addressBookChanged() signal has been emitted. So connect to this signal when using this method!
Definition at line 67 of file stdaddressbook.cpp. References endl(), kdDebug(), and KStaticDeleter< type >::setObject().

bool StdAddressBook::save | ( |  | ) | `[static]`

| Saves the standard address book to disk. Deprecated: Use AddressBook::save( Ticket* ) instead Definition at line 167 of file stdaddressbook.cpp. References endl(), kdDebug(), and saveAll().

void StdAddressBook::handleCrash | ( |  | ) | `[static]`

| Deprecated: There is no need to call this function anymore. Definition at line 53 of file stdaddressbook.cpp.

QString StdAddressBook::fileName | ( |  | ) | `[static]`

| Returns the default file name for vcard-based addressbook. Definition at line 43 of file stdaddressbook.cpp. References locateLocal().

QString StdAddressBook::directoryName | ( |  | ) | `[static]`

| Returns the default directory name for vcard-based addressbook. Definition at line 48 of file stdaddressbook.cpp. References locateLocal().

void StdAddressBook::setAutomaticSave | ( | bool | state | ) | `[static]`

  | Sets the automatic save property of the address book. Parameters:
  | state | If true, the address book is saved automatically at destruction time, otherwise you have to call AddressBook::save( Ticket* ).
Definition at line 182 of file stdaddressbook.cpp.

void StdAddressBook::close | ( |  | ) | `[static]`

| Closes the address book. Depending on automaticSave() it will save the address book first. Definition at line 177 of file stdaddressbook.cpp. References KStaticDeleter< type >::destructObject().

bool StdAddressBook::automaticSave | ( |  | ) | `[static]`

| Returns whether the address book is saved at destruction time. See also setAutomaticSave(). Definition at line 187 of file stdaddressbook.cpp.

Addressee StdAddressBook::whoAmI | ( |  | ) |

| Returns the contact, that is associated with the owner of the address book. This contact should be used by other programs to access user specific data. Definition at line 193 of file stdaddressbook.cpp. References KABC::AddressBook::findByUid(), KConfigBase::readEntry(), and KConfigBase::setGroup().

void StdAddressBook::setWhoAmI | ( | const Addressee & | addr | ) |

  | Sets the users contact. See whoAmI() for more information. Parameters:
  | addr | The users contact.
Definition at line 201 of file stdaddressbook.cpp. References KConfigBase::setGroup(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- stdaddressbook.h
- stdaddressbook.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003